IDE

Программные средства разработки

Модераторы: Olej, vikos

Аватара пользователя
Olej
Писатель
Сообщения: 15994
Зарегистрирован: 24 сен 2011, 14:22
Откуда: Харьков
Контактная информация:

Re: IDE

Непрочитанное сообщение Olej » 06 июл 2016, 16:21

Вот такой обзор IDE (перевод) свежий опубликован на сайте: 10 лучших интегрированных сред разработки с поддержкой языков программирования C/C++ для Linux
Оригинал: What is a good IDE for C/C++ on Linux
Автор: Adrien Brochard
Дата публикации: 14 января 2015 г.
Перевод: А. Панин
Дата перевода: 24 мая 2016 г.
Большинство из них известны, и описаны были выше в теме, но некоторые - относительно новые, и я даже решил на них посмотреть...

P.S. Вот только с устным счётом у автора плохо :-o ... название статьи:
10 лучших интегрированных сред разработки с поддержкой языков программирования C/C++ для Linux
А последняя там описанная IDE:
9. CodeLite

Аватара пользователя
Olej
Писатель
Сообщения: 15994
Зарегистрирован: 24 сен 2011, 14:22
Откуда: Харьков
Контактная информация:

Re: IDE

Непрочитанное сообщение Olej » 06 июл 2016, 16:31

Olej писал(а):и я даже решил на них посмотреть...
Fedora 23 :

Код: Выделить всё

[olej@dell ~]$ dnf list monodevelop*
Последняя проверка окончания срока действия метаданных: 6 days, 0:31:45 назад, Thu Jun 30 15:56:12 2016.
Доступные пакеты
monodevelop.x86_64                                                      5.9.7-1.fc23                                            updates
monodevelop-debugger-gdb.x86_64                                         2.8.8.4-6.fc22                                          fedora 
monodevelop-devel.i686                                                  5.9.7-1.fc23                                            updates
monodevelop-devel.x86_64                                                5.9.7-1.fc23                                            updates

[olej@dell ~]$ dnf info monodevelop
Последняя проверка окончания срока действия метаданных: 6 days, 0:32:01 назад, Thu Jun 30 15:56:12 2016.
Доступные пакеты
Имя         : monodevelop
Архитектура : x86_64
Эпоха       : 0
Версия      : 5.9.7
Релиз       : 1.fc23
Размер      : 13 M
Репозиторий : updates
Краткое опи : A full-featured IDE for Mono and Gtk#
URL         : http://monodevelop.com/
Лицензия    : GPLv2+
Описание    : This package provides MonoDevelop, a full-featured IDE for Mono with
            : syntax coloring, code completion, debugging, project management and
            : support for C sharp, Visual Basic.NET, Java, Boo, Nemerle and MSIL.
Как-то всё, что Mono, C# и Visual Basic.NET - меня не греет. :oops:

Mint 17.1 :

Код: Выделить всё

olej@nvidia ~ $ apt show monodevelop
Пакет: monodevelop
...
Размер в распакованном виде: 27,0 M
Зависимости: gnome-icon-theme (>= 1.1.3), monodoc-manual (>= 1.1.9), pkg-config,
                        mono-runtime-sgen, xterm | x-terminal-emulator,
                        mono-runtime (>= 2.10.1), libc6 (>= 2.18) | libc6.1 (>=
                        2.18) | libc0.1 (>= 2.18), libcairo2 (>= 1.12.0),
                        libgconf2.0-cil (>= 2.24.0), libglade2.0-cil (>=
                        2.12.10-1ubuntu1), libglib2.0-0 (>= 2.39.2),
                        libglib2.0-cil (>= 2.12.10-1ubuntu1),
                        libgnome-vfs2.0-cil (>= 2.24.0), libgnome2.24-cil (>=
                        2.24.0), libgtk2.0-0 (>= 2.24.0), libgtk2.0-cil (>=
                        2.12.10-1ubuntu1), libgtkspell0, libmetacity-private0a
                        (>= 1:2.34.0), libmono-addins-gui0.2-cil (>= 1.0),
                        libmono-addins0.2-cil (>= 1.0), libmono-cairo4.0-cil (>=
                        3.2.1), libmono-corlib2.0-cil (>= 3.2.1),
                        libmono-corlib4.5-cil (>= 3.2.3),
                        libmono-microsoft-build-engine4.0-cil (>= 3.2.1),
                        libmono-microsoft-build-framework4.0-cil (>= 3.2.1),
                        libmono-microsoft-build-utilities-v4.0-4.0-cil (>=
                        3.0.6), libmono-microsoft-build2.0-cil (>= 3.2.1),
                        libmono-posix4.0-cil (>= 3.2.3),
                        libmono-sharpzip4.84-cil (>= 1.0),
                        libmono-system-configuration4.0-cil (>= 1.0),
                        libmono-system-core4.0-cil (>= 3.2.1),
                        libmono-system-data4.0-cil (>= 3.0.6),
                        libmono-system-design4.0-cil (>= 1.0),
                        libmono-system-drawing4.0-cil (>= 3.0.6),
                        libmono-system-runtime-serialization4.0-cil (>= 1.0),
                        libmono-system-runtime2.0-cil (>= 2.4),
                        libmono-system-runtime4.0-cil (>= 2.10.1),
                        libmono-system-servicemodel4.0a-cil (>= 3.2.3),
                        libmono-system-web-mvc3.0-cil (>= 1.0),
                        libmono-system-web-razor2.0-cil (>= 1.0),
                        libmono-system-web-services4.0-cil (>= 1.0),
                        libmono-system-web-webpages-razor2.0-cil (>= 1.0),
                        libmono-system-web-webpages2.0-cil (>= 1.0),
                        libmono-system-web4.0-cil (>= 2.10.3),
                        libmono-system-xaml4.0-cil (>= 1.0),
                        libmono-system-xml-linq4.0-cil (>= 3.0.6),
                        libmono-system-xml4.0-cil (>= 3.2.1),
                        libmono-system2.0-cil (>= 3.2.1), libmono-system4.0-cil
                        (>= 3.2.3), libpango-1.0-0 (>= 1.36.0),
                        libpangocairo-1.0-0 (>= 1.36.0), monodoc-base (>= 3.2.1)
Рекомендует: libglade2.0-cil-dev, libgtk2.0-cil-dev, mono-devel
Предлагает: exuberant-ctags, gcc, gettext, make, mono-vbnc, mono-xsp |
                      mono-xsp4, monodevelop-database, monodevelop-debugger-gdb,
                      monodevelop-nunit, monodevelop-versioncontrol,
                      monodoc-browser, zip
Предоставляет: monodoc-viewer
Описание: среда разработки для GNOME
 MonoDevelop is a GNOME IDE primarily designed for C# and other CLI (.NET)
 languages. It is the unbranded version of Xamarin Studio. 
 
 Поддерживаются следующие языки: C, C++, C# (1.0, 2.0 и 3.0), Vala, Boo, Java,
 Nemerle, ILasm, ASP.NET и VB.NET. 
 
 Возможности: интеграция с отладчиком (Mono Debugger и GNU Debugger), браузер
 классов, браузер сборок, встроенная справка, интегрированная документация Mono,
 автодополнение кода (также известная как IntelliSense), сворачивание блоков
 текста, цветовые схемы, проверка ошибок на лету, XML- редактор, встроенный
 просмотр HTML, поддержка gettext, дизайнер GTK#, поддержка проектов MSBuild и
 генерация Makefile.
Сайт: http://www.monodevelop.com/

Аватара пользователя
Olej
Писатель
Сообщения: 15994
Зарегистрирован: 24 сен 2011, 14:22
Откуда: Харьков
Контактная информация:

Re: IDE

Непрочитанное сообщение Olej » 06 июл 2016, 16:56

Fedora 23 :

Код: Выделить всё

[olej@dell 06]$ lsb_release -ircd
Distributor ID: Fedora
Description:    Fedora release 23 (Twenty Three)
Release:        23
Codename:       TwentyThree

Код: Выделить всё

[olej@dell 06]$ dnf list codeblock*
Последняя проверка окончания срока действия метаданных: 6 days, 0:56:57 назад, Thu Jun 30 15:56:12 2016.
Доступные пакеты
codeblocks.x86_64                                                        13.12-19.fc23                                           fedora
codeblocks-contrib.x86_64                                                13.12-19.fc23                                           fedora
codeblocks-contrib-devel.i686                                            13.12-19.fc23                                           fedora
codeblocks-contrib-devel.x86_64                                          13.12-19.fc23                                           fedora
codeblocks-contrib-libs.i686                                             13.12-19.fc23                                           fedora
codeblocks-contrib-libs.x86_64                                           13.12-19.fc23                                           fedora
codeblocks-devel.i686                                                    13.12-19.fc23                                           fedora
codeblocks-devel.x86_64                                                  13.12-19.fc23                                           fedora
codeblocks-libs.i686                                                     13.12-19.fc23                                           fedora
codeblocks-libs.x86_64                                                   13.12-19.fc23                                           fedora

Код: Выделить всё

[olej@dell 06]$ dnf install codeblocks
Ошибка: This command has to be run under the root user.
[olej@dell 06]$ sudo dnf install codeblocks
[sudo] пароль для olej: 
Последняя проверка окончания срока действия метаданных: 1:13:48 назад, Wed Jul  6 15:58:34 2016.
Зависимости разрешены.
=======================================================================================================================================
 Package                             Архитектура                Версия                                Репозиторий                Размер
=======================================================================================================================================
Установка:
 astyle                              x86_64                     2.05.1-3.fc23                         fedora                     197 k
 codeblocks                          x86_64                     13.12-19.fc23                         fedora                     5.0 M
 codeblocks-libs                     x86_64                     13.12-19.fc23                         fedora                     1.8 M
 libXaw                              x86_64                     1.0.13-2.fc23                         fedora                     191 k
 squirrel-libs                       x86_64                     2.2.5-9.fc23                          fedora                     146 k
 tinyxml                             x86_64                     2.6.2-10.fc23                         fedora                      54 k
 wxBase                              x86_64                     2.8.12-19.fc23                        fedora                     595 k
 wxGTK                               x86_64                     2.8.12-19.fc23                        fedora                     3.1 M
 xterm                               x86_64                     318-2.fc23                            fedora                     503 k

Результат операции
=======================================================================================================================================
Установка  9 Пакетов

Объем загрузки: 12 M
Объем изменений: 36 M
Продолжить? [д/Н]: y
Загрузка пакетов:
(1/9): astyle-2.05.1-3.fc23.x86_64.rpm                                                                 124 kB/s | 197 kB     00:01    
(2/9): squirrel-libs-2.2.5-9.fc23.x86_64.rpm                                                           418 kB/s | 146 kB     00:00    
(3/9): tinyxml-2.6.2-10.fc23.x86_64.rpm                                                                620 kB/s |  54 kB     00:00    
(4-5/9): codeblocks-13.12-19.fc23.x86_64.rpm     12% [=====-                                         ] 333 kB/s | 1.5 MB     00:30 ETA
Проверка транзакции успешно завершена.
Идет проверка транзакции
Тест транзакции проведен успешно
Выполнение транзакции
  Установка    : wxBase-2.8.12-19.fc23.x86_64                                                                                      1/9 
  Установка    : wxGTK-2.8.12-19.fc23.x86_64                                                                                       2/9 
  Установка    : tinyxml-2.6.2-10.fc23.x86_64                                                                                      3/9 
  Установка    : squirrel-libs-2.2.5-9.fc23.x86_64                                                                                 4/9 
  Установка    : codeblocks-libs-13.12-19.fc23.x86_64                                                                              5/9 
  Установка    : libXaw-1.0.13-2.fc23.x86_64                                                                                       6/9 
  Установка    : xterm-318-2.fc23.x86_64                                                                                           7/9 
  Установка    : astyle-2.05.1-3.fc23.x86_64                                                                                       8/9 
  Установка    : codeblocks-13.12-19.fc23.x86_64                                                                                   9/9 
Вложения
cb1.png
cb2.png
cb3.png

Аватара пользователя
Olej
Писатель
Сообщения: 15994
Зарегистрирован: 24 сен 2011, 14:22
Откуда: Харьков
Контактная информация:

Re: IDE

Непрочитанное сообщение Olej » 06 июл 2016, 17:18

CodeLite
В августе 2006 Eran Ifrah начал небольшой проект, который был назван CodeLite.
Mint 17.1 :

Код: Выделить всё

olej@nvidia ~ $ apt search  codelite*
p   codelite                        - Мощная и нетребовательная к ресурсам интег
p   codelite-plugins                - Мощная и нетребовательная к ресурсам интег

olej@nvidia ~ $ apt show codelite
Пакет: codelite
Новый: да
Состояние: не установлен
Версия: 2.8.0.4537~dfsg-4
Приоритет: необязательный
Раздел: universe/devel
Сопровождающий: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Архитектура: i386
Размер в распакованном виде: 8.676 k
Зависимости: libc6 (>= 2.11), libgcc1 (>= 1:4.1.1), libgtk2.0-0 (>= 2.8.0),
                        libstdc++6 (>= 4.6), libwxbase2.8-0 (>= 2.8.11.0),
                        libwxgtk2.8-0 (>= 2.8.11.0), libwxsqlite3-2.8-0
Рекомендует: gdb, qt4-qmake, wx-common, gcc, g++, xterm | x-terminal-emulator
Предлагает: codelite-plugins
Описание: Мощная и нетребовательная к ресурсам интегрированная среда разработки на C/C++
 CodeLite is a powerful and lightweight C/C++ IDE which comes with but is not
 limited to the following features: 
 * Generic support for compilers 
 * Built-in GDB support 
 * Database-based Code Completion mechanism 
 * Syntax highlighting for C/C++, Java, Perl, XML, Makefile, Lua, Diff files,
   PHP, JavaScript, Python, HTML, and ASP 
 * Text Folding 
 * Bookmarks 
 * Find and Replace 
 * doxygen comment generator
Сайт: http://www.codelite.org

Код: Выделить всё

olej@nvidia ~ $ apt install codelite*
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Заметьте, выбирается «codelite-plugins-externaltools» для регулярного выражения «codelite*»
Заметьте, выбирается «codelite» для регулярного выражения «codelite*»
Заметьте, выбирается «codelite-plugins-gizmos» для регулярного выражения «codelite*»
Заметьте, выбирается «codelite-plugins-wxformbuilder» для регулярного выражения «codelite*»
Заметьте, выбирается «codelite-plugins-snipwiz» для регулярного выражения «codelite*»
Заметьте, выбирается «codelite-plugins-continuousbuild» для регулярного выражения «codelite*»
Заметьте, выбирается «codelite-plugins-copyright» для регулярного выражения «codelite*»
Заметьте, выбирается «codelite-plugins-unittestcpp» для регулярного выражения «codelite*»
Заметьте, выбирается «codelite-plugins-subversion» для регулярного выражения «codelite*»
Заметьте, выбирается «codelite-plugins-cscope» для регулярного выражения «codelite*»
Заметьте, выбирается «codelite-plugins-abbreviation» для регулярного выражения «codelite*»
Заметьте, выбирается «codelite-plugins-codeformatter» для регулярного выражения «codelite*»
Заметьте, выбирается «codelite-plugins» для регулярного выражения «codelite*»
Будут установлены следующие дополнительные пакеты:
  libwxsqlite3-2.8-0
Рекомендуемые пакеты:
  qt4-qmake
НОВЫЕ пакеты, которые будут установлены:
  codelite codelite-plugins libwxsqlite3-2.8-0
обновлено 0, установлено 3 новых пакетов, для удаления отмечено 0 пакетов, и 61 пакетов не обновлено.
Необходимо скачать 4.719 kБ архивов.
После данной операции, объём занятого дискового пространства возрастёт на 12,5 MB.
Хотите продолжить? [Д/н] y
Получено:1 http://ftp.tu-chemnitz.de/pub/linux/ubuntu/ trusty/universe libwxsqlite3-2.8-0 i386 3.0.6.1~dfsg0-2 [46,1 kB]
Получено:2 http://ftp.tu-chemnitz.de/pub/linux/ubuntu/ trusty/universe codelite i386 2.8.0.4537~dfsg-4 [3.353 kB]
Получено:3 http://ftp.tu-chemnitz.de/pub/linux/ubuntu/ trusty/universe codelite-plugins i386 2.8.0.4537~dfsg-4 [1.319 kB]
Получено 4.719 kБ за 55с (84,5 kБ/c)                                           
Выбор ранее не выбранного пакета libwxsqlite3-2.8-0:i386.
(Чтение базы данных … на данный момент установлено 248386 файлов и каталогов.)
Preparing to unpack …/libwxsqlite3-2.8-0_3.0.6.1~dfsg0-2_i386.deb ...
Unpacking libwxsqlite3-2.8-0:i386 (3.0.6.1~dfsg0-2) ...
Выбор ранее не выбранного пакета codelite.
Preparing to unpack …/codelite_2.8.0.4537~dfsg-4_i386.deb ...
Unpacking codelite (2.8.0.4537~dfsg-4) ...
Выбор ранее не выбранного пакета codelite-plugins.
Preparing to unpack …/codelite-plugins_2.8.0.4537~dfsg-4_i386.deb ...
Unpacking codelite-plugins (2.8.0.4537~dfsg-4) ...
Processing triggers for mime-support (3.54ubuntu1.1) ...
Processing triggers for gnome-menus (3.10.1-0ubuntu2) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu1) ...
Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
Настраивается пакет libwxsqlite3-2.8-0:i386 (3.0.6.1~dfsg0-2) …
Настраивается пакет codelite (2.8.0.4537~dfsg-4) …
Настраивается пакет codelite-plugins (2.8.0.4537~dfsg-4) …
Processing triggers for libc-bin (2.19-0ubuntu6.9) ...
Для Fedora :

Код: Выделить всё

[olej@dell 06]$ dnf list codelite*
Последняя проверка окончания срока действия метаданных: 6 days, 1:23:35 назад, Thu Jun 30 15:56:12 2016.
Ошибка: Совпадений среди пакетов не найдено
Похоже, CodeLite в репозитариях нет, и устанавливать, при желании, возможно с сайта проекта.
CodeLite RPMs
There are rpms available for fedora 23 and 24, and openSUSE 13.2 and 42.1 (leap):
CodeLite rpms Distro i386 x86_64
fedora 23 23
fedora 24 24
openSUSE 13.2 13.2
openSUSE (No 32-bit build) 42.1

Аватара пользователя
Olej
Писатель
Сообщения: 15994
Зарегистрирован: 24 сен 2011, 14:22
Откуда: Харьков
Контактная информация:

Re: IDE

Непрочитанное сообщение Olej » 06 июл 2016, 17:36

Olej писал(а): Mint 17.1 :

Код: Выделить всё

olej@nvidia ~ $ apt install codelite*
...
codelite1.png
Fedora 23 :
CodeLite RPMs

Код: Выделить всё

[olej@dell IDE]$ ls -l
итого 19184
-rw-rw-r--. 1 olej olej 19641578 июл  6 17:29 codelite-9.1-1.fc23.x86_64.rpm

Код: Выделить всё

[olej@dell IDE]$ sudo dnf install codelite-9.1-1.fc23.x86_64.rpm 
Последняя проверка окончания срока действия метаданных: 1:48:14 назад, Wed Jul  6 15:58:34 2016.
Зависимости разрешены.
=======================================================================================================================================
 Package                        Архитектура                  Версия                           Репозиторий                        Размер
=======================================================================================================================================
Установка:
 codelite                       x86_64                       9.1-1.fc23                       @commandline                        19 M

Результат операции
=======================================================================================================================================
Установка  1 Пакет

Общий размер: 19 M
Объем изменений: 61 M
Продолжить? [д/Н]: y
Загрузка пакетов:
Проверка транзакции
Проверка транзакции успешно завершена.
Идет проверка транзакции
Тест транзакции проведен успешно
Выполнение транзакции
  Установка    : codelite-9.1-1.fc23.x86_64                                                                                        1/1 
  Проверка     : codelite-9.1-1.fc23.x86_64                                                                                        1/1 

Установлено:
  codelite.x86_64 9.1-1.fc23                                                                                                           

Выполнено!
cl2.png
Великое множество плагинов:
cl3.png

Аватара пользователя
Olej
Писатель
Сообщения: 15994
Зарегистрирован: 24 сен 2011, 14:22
Откуда: Харьков
Контактная информация:

Re: IDE

Непрочитанное сообщение Olej » 06 июл 2016, 18:35

Olej писал(а):Вот такой обзор IDE (перевод) свежий опубликован на сайте: 10 лучших интегрированных сред разработки с поддержкой языков программирования C/C++ для Linux
6. Komodo Edit
Из всех упоминаемых в обзоре, только Komodo Edit нет в стандартных репозитариях ни DEB, ни RPM дистрибутивов:

Код: Выделить всё

olej@nvidia ~ $ apt search komodo*
olej@nvidia ~ $ 

Код: Выделить всё

[olej@dell IDE]$ dnf list komodo*
Последняя проверка окончания срока действия метаданных: 6 days, 2:37:23 назад, Thu Jun 30 15:56:12 2016.
Ошибка: Совпадений среди пакетов не найдено

Аватара пользователя
Olej
Писатель
Сообщения: 15994
Зарегистрирован: 24 сен 2011, 14:22
Откуда: Харьков
Контактная информация:

Re: IDE

Непрочитанное сообщение Olej » 06 июл 2016, 18:46

Komodo Edit
Komodo Edit — бесплатный текстовый редактор для динамических языков программирования, изданный компанией-разработчиком ActiveState. Начиная с версии 4.3.0, распространяется под свободной тройной лицензией Mozilla — MPL, GNU GPL и GNU LGPL.

Komodo Edit унаследовал много свойств от коммерческой Komodo IDE, такие как широкий диапазон поддерживаемых языков (PHP, Python, Ruby, JavaScript, Perl, Tcl, XML, HTML 5, CSS 3) и платформ (GNU/Linux, Apple Mac OS, Microsoft Windows NT 5.0+).

Редактор поддерживает подсветку синтаксиса, синтаксиса на лету, а также автозавершение скобок, кавычек и зарезервированных слов. Быстрый запуск, удалённая работа с файлами, горячие клавиши, инструментарий с интегрированной поддержкой командной оболочки, макросов и сниппетов, а также механизм расширений аналогичный Mozilla Firefox.

Он был разработан для программистов, которым необходим многоязычный редактор с широкой функциональностью, но без характерных функций IDE, таких как отладчик, DOM-редактор, интерактивные оболочки, контроль проектов и контроль исходного кода.
Скачать можно свободно на странице проекта.
Komodo Edit is entirely Open-Source, be sure to check out our GitHub page!
Download Komodo Edit For Linux (x86_64)
Download For Windows (x86)
Download For OSX (x86_64)
Download For Linux (x86)

Код: Выделить всё

[olej@dell IDE]$ ls -l Komodo-Edit-10.0.1-17276-linux-x86_64.tar.gz
-rw-rw-r--. 1 olej olej 78382439 июл  6 18:52 Komodo-Edit-10.0.1-17276-linux-x86_64.tar.gz

Код: Выделить всё

[olej@dell IDE]$ tar -zxvf Komodo-Edit-10.0.1-17276-linux-x86_64.tar.gz 
Komodo-Edit-10.0.1-17276-linux-x86_64/
Komodo-Edit-10.0.1-17276-linux-x86_64/support/
Komodo-Edit-10.0.1-17276-linux-x86_64/support/selinuxlib.py
Komodo-Edit-10.0.1-17276-linux-x86_64/support/which.py
...
Komodo-Edit-10.0.1-17276-linux-x86_64/INSTALLDIR/lib/sdk/idl/nspluginroot.idl
Komodo-Edit-10.0.1-17276-linux-x86_64/install.sh

Код: Выделить всё

[olej@dell IDE]$ du -hs Komodo-Edit-10.0.1-17276-linux-x86_64 
270M	Komodo-Edit-10.0.1-17276-linux-x86_64

Код: Выделить всё

[olej@dell Komodo-Edit-10.0.1-17276-linux-x86_64]$ cd Komodo-Edit-10.0.1-17276-linux-x86_64

[olej@dell Komodo-Edit-10.0.1-17276-linux-x86_64]$ ls -l
итого 4
drwxr-xr-x. 1 olej olej   22 июн 15 11:46 INSTALLDIR
-rwxr-xr-x. 1 olej olej 2917 апр  8 00:14 install.sh
drwxr-xr-x. 1 olej olej   82 июн 15 11:46 support

Аватара пользователя
Olej
Писатель
Сообщения: 15994
Зарегистрирован: 24 сен 2011, 14:22
Откуда: Харьков
Контактная информация:

Re: IDE

Непрочитанное сообщение Olej » 06 июл 2016, 19:10

Olej писал(а):Komodo Edit

Код: Выделить всё

[olej@dell Komodo-Edit-10.0.1-17276-linux-x86_64]$ ls -l
итого 4
drwxr-xr-x. 1 olej olej   22 июн 15 11:46 INSTALLDIR
-rwxr-xr-x. 1 olej olej 2917 апр  8 00:14 install.sh
drwxr-xr-x. 1 olej olej   82 июн 15 11:46 support

Код: Выделить всё

[olej@dell Komodo-Edit-10.0.1-17276-linux-x86_64]$ ./install.sh 
Enter directory in which to install Komodo. Leave blank and
press 'Enter' to use the default [~/Komodo-Edit-10].
Install directory: 


==============================================================================
Komodo Edit 10 has been successfully installed to:
    /home/olej/Komodo-Edit-10
    
You might want to add 'komodo' to your PATH by adding the 
install dir to you PATH. Bash users can add the following
to their ~/.bashrc file:

    export PATH="/home/olej/Komodo-Edit-10/bin:$PATH"

Or you could create a symbolic link to 'komodo', e.g.:

    ln -s "/home/olej/Komodo-Edit-10/bin/komodo" /usr/local/bin/komodo

Documentation is available in Komodo or on the web here:
    http://docs.activestate.com/komodo

Please send us any feedback you have through one of the
channels below:
    komodo-feedback@activestate.com
    irc://irc.mozilla.org/komodo
    https://github.com/Komodo/KomodoEdit/issues

Thank you for using Komodo.
==============================================================================

Аватара пользователя
Olej
Писатель
Сообщения: 15994
Зарегистрирован: 24 сен 2011, 14:22
Откуда: Харьков
Контактная информация:

Re: IDE

Непрочитанное сообщение Olej » 06 июл 2016, 19:19

Код: Выделить всё

[olej@dell Komodo-Edit-10.0.1-17276-linux-x86_64]$ komodo

(process:18560): GLib-CRITICAL **: g_slice_set_config: assertion 'sys_page_size == 0' failed
1467821511186	addons.xpi	WARN	Exception running bootstrap method install on check-compatibility@dactyl.googlecode.com: TypeError: Unknown preference type: undefined (resource://gre/modules/addons/XPIProvider.jsm -> jar:file:///home/olej/Komodo-Edit-10/lib/mozilla/extensions/check-compatibility@dactyl.googlecode.com.xpi!/bootstrap.js:169:18) JS Stack trace: set@resource://gre/modules/addons/XPIProvider.jsm -> jar:file:///home/olej/Komodo-Edit-10/lib/mozilla/extensions/check-compatibility@bootstrap.js:169:19 < install@resource://gre/modules/addons/XPIProvider.jsm -> jar:file:///home/olej/Komodo-Edit-10/lib/mozilla/extensions/check-compatibility@bootstrap.js:56:9 < install@resource://gre/modules/addons/XPIProvider.jsm -> jar:file:///home/olej/Komodo-Edit-10/lib/mozilla/extensions/check-compatibility@bootstrap.js:212:9 < XPI_callBootstrapMethod@XPIProvider.jsm:4436:9 < addMetadata@XPIProvider.jsm:3332:1 < XPI_processFileChanges@XPIProvider.jsm:3441:23 < XPI_checkForChanges@XPIProvider.jsm:3602:34 < XPI_startup@XPIProvider.jsm:2090:25 < callProvider@AddonManager.jsm:208:12 < _startProvider@AddonManager.jsm:667:5 < AMI_startup@AddonManager.jsm:821:9 < AMP_startup@AddonManager.jsm:2399:5 < AMC_observe@addonManager.js:55:7
SciMoz was not closed correctly before destructor called.
SciMoz was not closed correctly before destructor called.

(process:18560): GLib-CRITICAL **: g_slice_set_config: assertion 'sys_page_size == 0' failed
...
k1.png
k2.png
k3.png
Старт IDE :
k5.png
Но! install.sh добавил позицию и значок в меню запуска, подменю "Программирование".
Так что пользуемся оттуда.

Хорошая цветовая разметка синтаксиса!
ko.png

Аватара пользователя
Olej
Писатель
Сообщения: 15994
Зарегистрирован: 24 сен 2011, 14:22
Откуда: Харьков
Контактная информация:

Re: IDE

Непрочитанное сообщение Olej » 16 авг 2016, 22:10

Очень модная в последнем сезоне :lol: среди коммерческих разработчиков IDE CLio.

Скачать здесь: Download CLion
CLion includes bundled evaluation license key for a free 30-day trial.
Смешно, да? :lol:

Установка: Installation and Launching ... хотя какая там установка? - распаковал бинарники и используй.

Инструкция по быстрому старту: Quick Start Guide

Ответить

Вернуться в «Инструменты программирования»

Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и 1 гость